cgicc: cgicc::HTMLAtomicElement< Tag > Class Template Reference

# cgicc::HTMLAtomicElement< Tag > Class Template Reference

Template for concrete atomic HTMLElement subclasses. More...

`#include <cgicc/HTMLAtomicElement.h>`

Inheritance diagram for cgicc::HTMLAtomicElement< Tag >:

List of all members.

## Public Member Functions
virtual HTMLElement * | clone () const
| Clone this element.
virtual const char * | getName () const
| Get the name of this element.
Constructors and Destructor
| HTMLAtomicElement ()
| Create a new empty atomic element.
| HTMLAtomicElement (const HTMLAttributeList &attributes)
| Create a new element, specifying the HTMLAttributes.
virtual | ~HTMLAtomicElement ()
| Destructor.

## Detailed Description

### template<class Tag>
class cgicc::HTMLAtomicElement< Tag >

Template for concrete atomic HTMLElement subclasses.

An atomic HTML element is an element in which the opening and closing tags are combined. For example, in the HTML code

       <meta link="made" href="mailto:sbooth@gnu.org" />

The `meta` tag is an atomic HTML element because the opening and closing tags appear together.

See also:
  HTMLElement

  HTMLBooleanElement

Definition at line 56 of file HTMLAtomicElement.h.

## Constructor & Destructor Documentation

template<class Tag>

cgicc::HTMLAtomicElement< Tag >::HTMLAtomicElement | ( | const HTMLAttributeList & | attributes | ) | `[inline]`

Create a new element, specifying the HTMLAttributes.

Parameters:

  | attributes | The HTMLAttributes contained within the element.

Definition at line 78 of file HTMLAtomicElement.h.

## Member Function Documentation

template<class Tag>

virtual HTMLElement* cgicc::HTMLAtomicElement< Tag >::clone | ( |  | ) | const`[inline, virtual]`

Clone this element.

Returns:
  A newly-allocated copy of this element

Implements cgicc::HTMLElement.

Definition at line 97 of file HTMLAtomicElement.h.

template<class Tag>

virtual const char* cgicc::HTMLAtomicElement< Tag >::getName | ( |  | ) | const`[inline, virtual]`

Get the name of this element.

For example, `meta`.

Returns:
  The name of this element

Implements cgicc::HTMLElement.

Definition at line 108 of file HTMLAtomicElement.h.

The documentation for this class was generated from the following file:

- HTMLAtomicElement.h